Tibata Docs
API ReferenceSpaces

Batch Create Spaces

Creates multiple spaces in a single request. Every item is processed even if some fail — check each entry in the response to see which succeeded and which failed.

POST
/v1/spaces/batch

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Spaces to add

bodyRequiredarray<object>
curl -X POST "https://api.tibata.ai/v1/spaces/batch" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '[
    {
      "name": "Space 1",
      "slug": "space-1",
      "description": "Space 1 description"
    },
    {
      "name": "Space 2",
      "slug": "space-2",
      "description": "Space 2 description"
    }
  ]'

All spaces created successfully

{
  "data": [
    {
      "space": {
        "id": "tB6gszM_JPk7vKaHfz1H4",
        "name": "Space 1",
        "slug": "space-1",
        "description": "Space 1 description",
        "url": "https://app.tibata.ai/o/my-org/space-1"
      },
      "error": null
    },
    {
      "space": {
        "id": "uC7htzN_KQl8wLbIgy2I5",
        "name": "Space 2",
        "slug": "space-2",
        "description": "Space 2 description",
        "url": "https://app.tibata.ai/o/my-org/space-2"
      },
      "error": null
    }
  ]
}